"""Camelot is the SolidFire SET testing interface.

This package includes base classes for test suites and test cases.

ElementOS test cases should import "valence.camelot" instead and
inherit from the Element specific test classes in that package.
"""

from camelot._case import (
    TestCase,
    TestStep,
)
from camelot._case_result import CaseResult
from camelot._delay_exception import ExceptionDelayer
from camelot._dummy import DummySuite
from camelot._enums import (
    LoggingLevel,
    ResultStatus,
)
from camelot._errors import (
    Error,
    InspectionError,
    TestRuntimeError,
)
from camelot._formatter import (
    FMT_TEST_STEP,
    banner,
    step_banner,
)
from camelot._suite import (
    TEST_LOG_FILE,
    TestRun,
    TestSuite,
)
from camelot._suite_result import SuiteResult
from camelot.inspection import (
    CaseInspector,
    get_cases_from_module,
    get_steps_from_case,
    get_suites_from_module,
    print_steps,
)
