"""Dummy test suite to test out execution paths."""
from camelot import (
    _case,
    _suite,
)


class DummySuite(_suite.TestSuite):
    """This is a dummy suite used to test execution environments.

    :param valence.models.SuiteResources resources: Suite resources
    :param valence.models.SuiteConfig config: Suite-level config object
    """

    _skip_remote_reporting = True

    def __init__(self, resources, config):
        super(DummySuite, self).__init__(resources, config)
        self.add_tests([PassingTestcase(resources, config),
                        ResourceTestcase(resources, config)])

    def setup(self):
        """Docstring."""


class ResourceTestcase(_case.TestCase):
    """A dummy testcase which logs the resources that are passed.

    :param valence.models.SuiteResources resources: Suite resources
    :param valence.models.SuiteConfig config: Suite-level config object
    """

    def __init__(self, resources, config):
        super(ResourceTestcase, self).__init__()
        self.resources = resources
        self.config = config

    def _setup(self):
        pass

    def _test(self):
        self._log_step(self.resources.serialize())


class PassingTestcase(_case.TestCase):
    """A dummy test case which just passes.

    :param valence.models.SuiteResources resources: Suite resources
    :param valence.models.SuiteConfig config: Suite-level config object
    """

    def __init__(self, resources, config):
        super(PassingTestcase, self).__init__()
        self.resources = resources
        self.config = config

    def _setup(self):
        pass

    def _test(self):
        self._log_step('Assert {}'.format('True'))
        assert True
        self._log_step('Assert 1 is an int', 'Pass')
        assert isinstance(1, int)
