"""Model for the Witness Node creation resources."""
import sf_models
from sf_models import types


class WitnessResource(sf_models.Base):
    """NetworkProfile resource model."""
    data_store = types.StringType(required=True, default='SF-ProdOps')
    ova_url = types.StringType()

    resource_folder = types.StringType(required=True, default='vi://svc_gunnison_team:gunnison@10.117.28'
                                                              '.10/DEN/host/01%3ASF-ProdOps/Resources/'
                                                              'Features/Gunnison')
    vcenter_ip = types.IPAddressType(required=True, default='10.117.28.10')
    vm_folder = types.StringType(required=True, default='01:SF-ProdOps/Features/Gunnison')

    # VCenter credentials
    vc_user = types.StringType(required=True, default='svc_gunnison_team')
    vc_pass = types.StringType(required=True, default='gunnison')
    jenkins_url = types.StringType(required=True, default='http://bdr-jenkins.eng.solidfire.net/OVA/')
    # TODO: ELEM-2478 Update this prefix to real builds once available
    ova_prefix = types.StringType(required=True, default='solidfire-witness-magnesium-2node-')

    deploy_vm = 'buildvm-witness.ten.den.solidfire.net'
    deploy_username = 'witnessdeploy'
    deploy_password = 'deploywitness'
    type = 'ESX'
    name = 'SF-ProdOps'

    def __repr__(self):
        return '{}<vcenter_ip={}, vc_user={}>'.format(
            self.__class__.__name__, self.vcenter_ip, self.vc_user)
