"""Unittests for the test result."""

import datetime
import unittest

from camelot._case_result import CaseResult
from valence.unittest_utils.cases import PassingCase


class TestCaseResult(unittest.TestCase):

    def setUp(self):
        self.init_result = CaseResult(PassingCase())

    def test_run_time_none_initially(self):
        assert self.init_result.execution_time == datetime.timedelta(0)

    def test_repr(self):
        assert 'name' in repr(self.init_result)

    def test_run_time_none_no_end_time(self):
        self.init_result.start_time = datetime.datetime.now()
        assert self.init_result.execution_time == datetime.timedelta(0)
        self.init_result.end_time = datetime.datetime.now()
        assert self.init_result.execution_time != datetime.timedelta(0)
