"""Test groot."""

import unittest

import mock
import requests

from camelot import groot


@mock.patch.object(requests, 'post')
class TestPost(unittest.TestCase):

    def test_post(self, mock_post):
        groot.post_to_groot(groot.REPORT_ENDPOINT, {'test': 'payload'})
        assert mock_post.called_once_with(
            mock.call('http://grootwdmysqlv01.one.den.solidfire.net:800/report',
                      data={'json_payload': '{"test": "payload"}'}))

    def test_fail(self, mock_post):
        mock_post.side_effect = iter([Exception])
        groot.post_to_groot('fail/', {'fail': 'Fail'})
