"""Ipython startup file for the artifact manager.

To use, put this in ~/.ipython/profile_default/startup/ by using a symlink or copying the file.
"""

# pylint: skip-file
import os

_artifact_imported = False

try:
    import sf_artifacts
    import dev_utils

    _artifact_imported = True
except ImportError:
    pass


def setup_artifacts():
    """Instantiates artifact manager."""
    global artifact_manager
    base_dir = dev_utils.get_project_dir()
    if not base_dir:
        base_dir = os.getcwd()
    print('\nCurrent artifact path is {}'.format(base_dir))
    artifact_manager = sf_artifacts.LocalArtifactManager(base_dir=base_dir)


if _artifact_imported:
    setup_artifacts()

del _artifact_imported
