"""Cluster API methods.

This subpackage should not be imported directly. All public classes are exported under sf_api.

The methods are organized into mixin classes according to the organization of the
api descriptors in element:
https://bitbucket.ngage.netapp.com/projects/ELEM/repos/element/browse/apidescriptors/StandardizedElement/methods

The mixins are purely for code organization and do not affect the public API. The ClusterApi class
combines all the mixins and defines the API calls related to clusters.

In order to see an example of any data model, use the get_mock_object() method like this:

>>> import sf_api
>>> sf_api.models.Account.get_mock_object()
Account<account_id=1, username=0PX>

In order to see a serialized, dictionary representation of a data model, use the get_mock_data() method
like this:

>>> import sf_api
>>> sf_api.models.Account.get_mock_data()
{'accountID': 0,
 'accountType': 'vvol',
 'attributes': None,
 'initiatorSecret': None,
 'status': 'active',
 'storageContainerID': u'a7237fa1-6868-4ca1-ae00-3bd6cf05c2a9',
 'targetSecret': None,
 'username': u'JpO',
 'volumes': [10]}
"""
