"""Constants from the SolidFire API."""
from sf_api import data_size as _data_size

ABORTED_DRIVES = 'abortedDrives'
ACCEPT_EULA = 'acceptEula'
ACCESS = 'access'
ACCESS_GROUP_LIST = 'accessGroupList'
ACCOUNT = 'account'
ACCOUNTS = 'accounts'
ACCOUNT_ID = 'accountID'
ACCOUNT_IDS = 'accountIDs'
ACCOUNT_TYPE = 'accountType'
ACTION = 'action'
ACTIVATION_STATUS = 'activationStatus'
ACTIVE = 'active'
ACTIVE_NODE_KEY = 'activeNodeKey'
ACTIVE_SESSIONS = 'activeSessions'
ACTIVE_VERSION = 'activeVersion'
ACTUAL_IOPS = 'actualIOPS'
ADDED_DRIVES = 'addedDrives'
ADDRESS = 'address'
ALIAS = 'alias'
ALLOW_TWO_NODE_ENSEMBLE = 'allow2NodeEnsemble'
ASSET_ID = 'assetId'
ASSETS_REST_PATH = 'assets'
ASSIGNED_NODE_ID = 'assignedNodeID'
ASSOCIATED_FSERVICE_ID = 'associatedFServiceID'
ASSOCIATED_MASTER_SERVICE_ID = 'associatedMasterServiceID'
ASSOCIATE_WITH_QOS_POLICY = 'associateWithQoSPolicy'
ASYNC = 'Async'
ASYNC_HANDLE = 'asyncHandle'
ASYNC_RESULT = 'asyncResult'
ASYNC_RESULT_TYPES = 'asyncResultTypes'
ATTRIBUTES = 'attributes'
AUTO_INSTALL = 'autoInstall'
AUTH_METHOD = 'authMethod'
AUTH_TYPE = 'authType'
AUTH_CONFIGURATION = 'authConfiguration'
AVAILABLE = 'available'
AVERAGE_IOP_SIZE = 'averageIOPSize'
BELOW_MIN_0 = 'belowMin0'
BELOW_MIN_1_TO_19 = 'belowMin1To19'
BELOW_MIN_20_TO_39 = 'belowMin20To39'
BELOW_MIN_40_TO_59 = 'belowMin40To59'
BELOW_MIN_60_TO_79 = 'belowMin60To79'
BELOW_MIN_80_TO_100 = 'belowMin80To100'
BELOW_MIN_101_PLUS = 'belowMin101Plus'
BELOW_MIN_IOPS_PERCENTAGES = 'belowMinIopsPercentages'
BEST_PRACTICE = 'bestPractice'
BEST_PRACTICES = 'bestPractices'
BINARIES = 'binaries'
BINS_COMPLETED = 'binsCompleted'
BIN_SYNC_TIME_MS = 'binSyncTimeMS'
BLOCK = 'block'
BLOCK_BIN_COUNT = 'blockBinCount'
BLOCK_IDs = 'blockIDs'
BLOCK_READS = 'blockReads'
BLOCK_SIZE = 'blockSize'
BLOCK_WRITES = 'blockWrites'
BOND_10G = 'Bond10G'
BOND_10G_S = 'Bond10G:S'
BOND_1G = 'Bond1G'
BOND_1G_M = 'Bond1G:M'
BROADCAST_CLIENT = 'broadcastclient'
BS_DISKS = 'bsDisks'
BUCKET_0 = 'Bucket0'
BUCKET_1_TO_19 = 'Bucket1To19'
BUCKET_20_TO_39 = 'Bucket20To39'
BUCKET_40_TO_59 = 'Bucket40To59'
BUCKET_60_TO_79 = 'Bucket60To79'
BUCKET_80_TO_100 = 'Bucket80To100'
BUCKET_101_PLUS = 'Bucket101Plus'
BUCKET_512_TO_4095 = 'Bucket512To4095'
BUCKET_4096_TO_8191 = 'Bucket4096To8191'
BUCKET_8192_TO_16383 = 'Bucket8192To16383'
BUCKET_16384_TO_32767 = 'Bucket16384To32767'
BUCKET_32768_TO_65535 = 'Bucket32768To65535'
BUCKET_65536_TO_131071 = 'Bucket65536To131071'
BUCKET_131072_PLUS = 'Bucket131072Plus'
BUILD = 'build'
BUNDLE_NAME = 'bundleName'
BURST_IOPS = 'burstIOPS'
BURST_IOPS_CREDIT = 'burstIOPSCredit'
BURST_TIME = 'burstTime'
CACHE_FLUSHING = 'cacheFlushing'
C_BYTES_IN = 'cBytesIn'
C_BYTES_OUT = 'cBytesOut'
CERTIFICATE = 'certificate'
CHAP_USERNAME = 'chapUsername'
CHASSIS = 'chassis'
CHASSIS_TYPE = 'chassisType'
CHASSIS_NAME = 'chassisName'
CHASSIS_NAME_OVERRIDE = 'chassisNameOverride'
CHECKSUMS = 'checksums'
CHILDREN = 'children'
CLEAN = 'clean'
CLIENT_QUEUE_DEPTH = 'clientQueueDepth'
CLONE_ID = 'cloneID'
CLUSTER = 'cluster'
CLUSTER_ADMIN_ID = 'clusterAdminID'
CLUSTER_ADMIN_IDS = 'clusterAdminIDs'
CLUSTER_FAULT_ID = 'clusterFaultID'
CLUSTER_NAME = 'clusterName'
CLUSTER_PAIR_ID = 'clusterPairID'
CLUSTER_PAIRS = 'clusterPairs'
CLUSTER_PAIRING_KEY = 'clusterPairingKey'
CODE = 'code'
COMMON_NAME = 'commonName'
COMPLETE = 'complete'
CONFIG = 'config'
CONFIGURATION = 'configuration'
COUNTRY = 'country'
CPU = 'cpu'
CPU_MODEL = 'cpuModel'
CPU_TOTAL = 'cpuTotal'
CREATE_TIME = 'createTime'
CREATING = 'creating'
CRITICAL = 'critical'
CURRENT_PROTECTION_SCHEME = 'currentProtectionScheme'
CURRENT_SOFTWARE = 'currentSoftware'
CURRENT_VERSION = 'currentVersion'
CURVE = 'curve'
CUSTOM_PROTECTION_DOMAIN_NAME = 'customProtectionDomainName'
DATA = 'data'
DATA_VERSION = 'dataVersion'
DB_VERSION = 'dbVersion'
DEAD_SECONDARIES = 'deadSecondaries'
DECISIONS = 'decisions'
DELETED = 'deleted'
DELETE_ORPHAN_INITIATORS = 'deleteOrphanInitiators'
DELETE_TIME = 'deleteTime'
DESIRED_PRIMARY = 'desiredPrimary'
DESIRED_SECONDARIES = 'desiredSecondaries'
DESIRED_EXPIRATION_DURATION = 'desiredExpirationDuration'
DESIRED_SOFTWARE = 'desiredSoftware'
DESTINATION = 'destination'
DETAILS = 'details'
DISABLED = 'disabled'
DISABLING = 'disabling'
DISK_ID = 'diskID'
DISPLAY_NAME = 'displayName'
DOWNLOADS = 'downloads'
DRIVE = 'drive'
DRIVES = 'drives'
DRIVE_ID = 'driveID'
DRIVE_IDS = 'driveIDs'
DRIVE_STATS = 'driveStats'
DUPLICATE_USERNAME_API_EXCEPTION = 'xDuplicateUsername'  # todo: replace with enum once implemented
EAR_STATE = 'encryptionAtRestState'
EMAIL_ADDRESS = 'emailAddress'
ENABLED = 'enabled'
ENABLE_512E = 'enable512e'
ENABLE_REMOTE_REPLICATION = 'enableRemoteReplication'
ENABLE_SNAPMIRROR_REPLICATION = 'enableSnapMirrorReplication'
ENABLING = 'enabling'
ERASING = 'erasing'
ERROR = 'error'
EVENT_TYPE = 'eventType'
EVENT_INFO_TYPE = 'eventInfoType'
EXPIRATION_REASON = 'expirationReason'
EXPIRATION_TIME = 'expirationTime'
EXTRA_ARGS = 'extraArgs'
EXTRACT_PATH = 'extractPath'
FACTORY_INSTALLED = 'factoryInstalled'
FAILED = 'failed'
FAILED_VERSION = 'failedVersion'
FAILURES = 'failures'
FAULT_TYPES = 'faultTypes'
FEATURE = 'feature'
FIBRE_CHANNEL_TARGET_PORT_GROUP = 'fibreChannelTargetPortGroup'
FINAL_TIMEOUT = 'finalTimeout'
FLAGS = 'flags'
FORCE = 'force'
FORCE_DURING_BIN_SYNC = 'forceDuringBinSync'
FORCE_DURING_UPGRADE = 'forceDuringUpgrade'
FORCE_NON_FIPS = 'forceNonFips'
GATEWAY = 'gateway'
GROUP_ID = 'groupID'
GROUP_SNAPSHOT = 'groupSnapshot'
GROUP_SNAPSHOTS = 'groupSnapshots'
GROUP_SNAPSHOT_ID = 'groupSnapshotID'
GROUP_SNAPSHOT_UUID = 'groupSnapshotUUID'
HAS_ERROR = 'hasError'
HEALTHCHECKS_REST_PATH = 'health-checks'
HISTOGRAMS = 'histograms'
HOURS = 'hours'
HOST = 'host'
ID = 'id'
IDP_CONFIG_INFO = 'idpConfigInfo'
IDP_CONFIG_INFOS = 'idpConfigInfos'
IDP_CONFIGURATION_ID = 'idpConfigurationID'
IDP_METADATA_URL = 'idpMetadataUrl'
IGNORE_UNBALANCED_CLUSTER_CHECK = 'ignoreUnbalancedClusterCheck'
IGNORE_USABLE_CAPACITY_CHECK = 'ignoreUsableCapacityCheck'
INCLUDE_STORAGE_CONTAINERS = 'includeStorageContainers'
INCLUDE_VIRTUAL_VOLUMES = 'includeVirtualVolumes'
INIT = 'init'
INITIATORS = 'initiators'
INITIATOR_ID = 'initiatorID'
INITIATOR_NAME = 'initiatorName'
INITIATOR_SECRET = 'initiatorSecret'
INSTALLED_SOFTWARE = 'installedSoftware'
INTERFACES = 'interfaces'
INTERNAL = 'internal'
IP = 'ip'
IP_ADDRESSES = 'ipAddresses'
IS_PAIRED = 'isPaired'
KEEP_RESULT = 'keepResult'
KEY_PROVIDER_ID = 'keyProviderID'
KEY_PROVIDER_IS_ACTIVE = 'keyProviderIsActive'
KEY_PROVIDER_NAME = 'keyProviderName'
KEY_SERVER_ID = 'keyServerID'
KEY_SERVER_IDS = 'keyServerIDs'
KMIP_ASSIGNED_PROVIDER_IS_ACTIVE = 'kmipAssignedProviderIsActive'
KMIP_CAPABILITIES = 'kmipCapabilities'
KMIP_CA_CERTIFICATE = 'kmipCaCertificate'
KMIP_CLIENT_CERTIFICATE = 'kmipClientCertificate'
KMIP_HAS_PROVIDER_ASSIGNED = 'kmipHasProviderAssigned'
KMIP_KEY_PROVIDER_HAS_SERVER_ASSIGNED = 'kmipKeyProviderHasServerAssigned'
KMIP_KEY_SERVER_HOSTNAMES = 'kmipKeyServerHostnames'
KMIP_KEY_SERVER_NAME = 'kmipKeyServerName'
KMIP_KEY_SERVER_PORT = 'kmipKeyServerPort'
LAST_ACCESS_TIME = 'lastAccessTime'
LAST_ACCESS_TIMEOUT = 'lastAccessTimeout'
LAST_ACCESS_TIME_IO = 'lastAccessTimeIO'
LAST_RUN_STATUS = 'lastRunStatus'
LAST_RUN_TIME_STARTED = 'lastRunTimeStarted'
LAST_UPDATE_TIME = 'lastUpdateTime'
LATENCY_USEC = 'latencyUSec'
LBA = 'lba'
LIFE_REMAINING_PERCENT = 'lifeRemainingPercent'
LIFETIME_READ_BYTES = 'lifetimeReadBytes'
LIFETIME_WRITE_BYTES = 'lifetimeWriteBytes'
LIMIT = 'limit'
LIVE_SECONDARIES = 'liveSecondaries'
LOCKED = 'locked'
LOCALITY = 'locality'
MAC_ADDRESS_ID = 'macAddressID'
MASTER_VERSION = 'masterVersion'
MAX_IOPS = 'maxIOPS'
MAX_UNIQUE_BLOCKS_PER_BIN = 'maxUniqueBlocksPerBin'
M_BYTES_IN = 'mBytesIn'
M_BYTES_OUT = 'mBytesOut'
MESSAGE = 'message'
MINUTES = 'minutes'
MIN_IOPS = 'minIOPS'
MIN_UNIQUE_BLOCKS_PER_BIN = 'minUniqueBlocksPerBin'
MIN_TO_MAX_0 = 'minToMax0'
MIN_TO_MAX_1_TO_19 = 'minToMax1To19'
MIN_TO_MAX_20_TO_39 = 'minToMax20To39'
MIN_TO_MAX_40_TO_59 = 'minToMax40To59'
MIN_TO_MAX_60_TO_79 = 'minToMax60To79'
MIN_TO_MAX_80_TO_100 = 'minToMax80To100'
MIN_TO_MAX_101_PLUS = 'minToMax101Plus'
MIN_TO_MAX_IOPS_PERCENTAGES = 'minToMaxIopsPercentages'
MODE = 'mode'
MONTHDAYS = 'monthdays'
MTU = 'mtu'
MVIP = 'mvip'
MVIP_INTERFACE = 'mvipInterface'
MVIP_NODE_ID = 'mvipNodeID'
MVIP_VLAN_TAG = 'mvipVlanTag'
NAME = 'name'
NAME_REGEX = 'nameRegex'
NAMES = 'names'
NET0 = 'net0'
NET1 = 'net1'
NETMASK = 'netmask'
NETWORK = 'network'
NETWORK_ID = 'networkID'
NETWORK_INTERFACE = 'networkInterface'
NETWORK_UTILIZATION_CLUSTER = 'networkUtilizationCluster'
NETWORK_UTILIZATION_STORAGE = 'networkUtilizationStorage'
NEW_ACCOUNT_ID = 'newAccountID'
NEW_SIZE = 'newSize'
NEW_USABLE_SIZE = 'newUsableSize'
NODE = 'node'
NODES = 'nodes'
NODE_API_PORT = 442
NODE_HARDWARE_FAULT_ID = 'nodeHardwareFaultID'
NODE_ID = 'nodeID'
NODE_MEMORY_GB = 'nodeMemoryGB'
NODE_NAME = 'nodeName'
NODE_SLOT = 'nodeSlot'
NODE_TYPE = 'nodeType'
NORMALIZED_IOPS = 'normalizedIOPS'
N_BLOCKS = 'nBlocks'
NUMBER_OF_UPDATING_BINS = 'numberOfUpdatingBins'
OPTION = 'option'
OPTIONS = 'options'
ORGANIZATION = 'organization'
ORGANIZATIONAL_UNIT = 'organizationalUnit'
PACKAGE = 'package'
PACKAGE_NAME = 'packageName'
PASSWORD = 'password'
PATH = 'path'
PAUSED = 'paused'
PAUSED_MANUAL = 'pausedManual'
PAUSE_LIMIT = 'pauseLimit'
PCT_FULL = 'pctFull'
PENDING_ACTIVE_NODES = 'pendingActiveNodes'
PENDING_DRIVES = 'pendingDrives'
PENDING_NODES = 'pendingNodes'
PENDING_NODE_ID = 'pendingNodeID'
PERSIST = 'persist'
PLATFORM_CONFIG_VERSION = 'platformConfigVersion'
PLATFORM_INFO = 'platformInfo'
POWER_ON_HOURS = 'powerOnHours'
PRESERVE = 'preserve'
PREVIOUS_PROTECTION_SCHEME = 'previousProtectionScheme'
PRIMARY = 'primary'
PRIVATE_KEY = 'privateKey'
PROTECTION_DOMAINS = 'protectionDomains'
PROTECTION_DOMAIN_NAME = 'protectionDomainName'
PROTECTION_DOMAIN_LAYOUT = 'protectionDomainLayout'
PROTECTION_DOMAIN_TYPE = 'protectionDomainType'
PRUNE = 'prune'
PURGE_TIME = 'purgeTime'
QOS = 'qos'
QOS_HISTOGRAMS = 'qosHistograms'
QOS_POLICY_ID = 'qosPolicyID'
READ_BLOCK_SIZE_512 = 'readBlockSize512'
READ_BLOCK_SIZE_4K = 'readBlockSize4k'
READ_BLOCK_SIZE_8K = 'readBlockSize8k'
READ_BLOCK_SIZE_16K = 'readBlockSize16k'
READ_BLOCK_SIZE_32K = 'readBlockSize32k'
READ_BLOCK_SIZE_64K = 'readBlockSize64k'
READ_BLOCK_SIZE_128K_PLUS = 'readBlockSize128kPlus'
READ_BLOCK_SIZES = 'readBlockSizes'
READ_BYTES = 'readBytes'
READ_BYTES_LAST_SAMPLE = 'readBytesLastSample'
READ_LATENCY_USEC = 'readLatencyUSec'
READ_LATENCY_USEC_TOTAL = 'readLatencyUSecTotal'
READ_ONLY = 'readOnly'
READ_OPS = 'readOps'
READ_OPS_LAST_SAMPLE = 'readOpsLastSample'
READ_WRITE = 'readWrite'
REALLOCATED_SECTORS = 'reallocatedSectors'
REBOOT = 'reboot'
RECURRING = 'recurring'
REFRESH_CERTIFICATE_EXPIRATION_TIME = 'refreshCertificateExpirationTime'
REMOTE_REPLICATION = 'remoteReplication'
REMOTE_SERVICE_ID = 'remoteServiceID'
REMOTE_SLICE_ID = 'remoteSliceID'
REMOTE_STATUS = 'remoteStatus'
REMOTE_STATUSES = 'remoteStatuses'
REMOTE_VOLUME_ID = 'remoteVolumeID'
REMOTE_VOLUME_NAME = 'remoteVolumeName'
REMOVED = 'removed'
REMOVING = 'removing'
REPLICATION_TARGET = 'replicationTarget'
REP_COUNT = 'repCount'
RESERVE_CAPACITY_PERCENT = 'reserveCapacityPercent'
RESET = 'reset'
RESOLVED = 'resolved'
RESOLVED_DATE = 'resolvedDate'
RESULT = 'result'
RESULT_TYPE = 'resultType'
RESUME_DETAILS = 'resumeDetails'
RETENTION = 'retention'
REQUIRE_CHAP = 'requireChap'
ROLLING_FLUSH_RATE = 'rollingFlushRateMBPerSec'
ROUTES = 'routes'
RUNNING = 'running'
RUN_NEXT_INTERVAL = 'runNextInterval'
SAML_ATTRIBUTE_STATEMENTS = 'samlAttributeStatements'
SAMPLE_PERIOD_MSEC = 'samplePeriodMsec'
SAVE_CURRENT_STATE = 'saveCurrentState'
SAVE_MEMBERS = 'saveMembers'
S_BYTES_IN = 'sBytesIn'
S_BYTES_OUT = 'sBytesOut'
SCHEDULE_ID = 'scheduleID'
SCHEDULE_INFO = 'scheduleInfo'
SCHEDULE_NAME = 'scheduleName'
SCHEDULE_TYPE = 'scheduleType'
SCSI_EUI_DEVICE_ID = 'scsiEUIDeviceID'
SCSI_NAA_DEVICE_ID = 'scsiNAADeviceID'
SECONDARIES = 'secondaries'
SECONDARY_CACHE = 'secondaryCache'
SECONDS = 'seconds'
SEGMENT_FILE_SIZE = 'segmentFileSize'
SERVERS = 'servers'
SERVICE = 'service'
SERVICE_PROVIDER_CERTIFICATE = 'serviceProviderCertificate'
SERVICES = 'services'
SERVICE_ID = 'serviceID'
SESSION_ID = 'sessionID'
SESSION_CREATION_TIME = 'sessionCreationTime'
SET_ACTIVE = 'setActive'
SET_CREATE_TIME = 'setCreateTime'
SF_AGENT = 'sf_agent'
SF_AUTO = 'sf_auto'
SF_ALLOW_VIRTNODE = 'sf_allow_virtnode'
SF_UPGRADE = 'sf_upgrade'
SHOW_HIDDEN = 'showHidden'
SHOW_IN_UI = 'showInUI'
SKIP_FULLNESS_CHECK = '__skipFullnessCheck'
SKIP_NODE_TYPE_CHECKS = 'skipNodeTypeChecks'
SLICE = 'slice'
SLICES = 'slices'
SLICE_COUNT = 'sliceCount'
SLICE_ID = 'sliceID'
SLOT = 'slot'
SNAPMIRROR_ATTRIBUTES = 'snapMirrorAttributes'
SNAPMIRROR_ENDPOINT = 'snapMirrorEndpoint'
SNAPMIRROR_ENDPOINT_ID = 'snapMirrorEndpointID'
SNAPMIRROR_LABEL = 'snapMirrorLabel'
SNAPMIRROR_TARGET = 'snapMirrorTarget'
SNAPSHOT = 'snapshot'
SNAPSHOTS_ONLY = 'SnapshotsOnly'
SNAPSHOTTING = 'snapshotting'
SNAPSHOT_ID = 'snapshotID'
SNAPSHOT_REPLICATION = 'snapshotReplication'
SNAPSHOT_UUID = 'snapshotUUID'
SOFTWARE_INFO = 'softwareInfo'
SOFTWARE_VERSION = 'softwareVersion'
SP_METADATA_URL = 'spMetadataUrl'
SS_DISKS = 'ssDisks'
SS_LOAD_0 = 'ssLoad0'
SS_LOAD_1_TO_19 = 'ssLoad1To19'
SS_LOAD_20_TO_39 = 'ssLoad20To39'
SS_LOAD_40_TO_59 = 'ssLoad40To59'
SS_LOAD_60_TO_79 = 'ssLoad60To79'
SS_LOAD_80_TO_100 = 'ssLoad80To100'
SS_LOAD_101_PLUS = 'ssLoad101Plus'
SS_LOAD_PRIMARY = 'ssLoadPrimary'
SS_LOAD_SECONDARY = 'ssLoadSecondary'
STANDBY_SERVICES = 'standbyServices'
STANDARD = 'standard'
STARTING_DATE = 'startingDate'
START_ACCOUNT_ID = 'startAccountID'
START_INITIATOR_ID = 'startInitiatorID'
START_VOLUME_ID = 'startVolumeID'
START_VOLUME_ACCESS_GROUP_ID = 'startVolumeAccessGroupID'
STATE = 'state'
STATE_DETAILS = 'stateDetails'
STATUS = 'status'
STATUS_CODE = 'status_code'
STORAGE_CONTAINER_ID = 'storageContainerID'
STORAGE_ID = 'storageId'
SUPPORTED_VERSIONS = 'supportedVersions'
SVIP = 'svip'
SVIP_INTERFACE = 'svipInterface'
SVIP_NODE_ID = 'svipNodeID'
SVIP_VLAN_TAG = 'svipVlanTag'
SYNC = 'Sync'
TARGET = 'target'
TARGET_SECRET = 'targetSecret'
TARGET_UTILIZATION_0 = 'targetUtilization0'
TARGET_UTILIZATION_1_TO_19 = 'targetUtilization1To19'
TARGET_UTILIZATION_20_TO_39 = 'targetUtilization20To39'
TARGET_UTILIZATION_40_TO_59 = 'targetUtilization40To59'
TARGET_UTILIZATION_60_TO_79 = 'targetUtilization60To79'
TARGET_UTILIZATION_80_TO_100 = 'targetUtilization80To100'
TARGET_UTILIZATION_101_PLUS = 'targetUtilization101Plus'
TARGET_UTILIZATION_PERCENTAGES = 'targetUtilizationPercentages'
THROTTLE = 'throttle'
THROTTLE_0 = 'throttle0'
THROTTLE_1_TO_19 = 'throttle1To19'
THROTTLE_20_TO_39 = 'throttle20To39'
THROTTLE_40_TO_59 = 'throttle40To59'
THROTTLE_60_TO_79 = 'throttle60To79'
THROTTLE_80_TO_100 = 'throttle80To100'
THROTTLE_101_PLUS = 'throttle101Plus'
THROTTLE_READ = 'throttleRead'
THROTTLE_WRITE = 'throttleWrite'
THROTTLE_PERCENTAGES = 'throttlePercentages'
TIMEOUT_SEC = 'timeoutSec'
TIMESTAMP = 'timestamp'
TOTAL_CAPACITY = 'totalCapacity'
TOTAL_SIZE = 'totalSize'
TO_BE_DELETED = 'toBeDeleted'
TO_INSTALL_SOFTWARE = 'toInstallSoftware'
TYPE = 'type'
UNALIGNED_READS = 'unalignedReads'
UNALIGNED_WRITES = 'unalignedWrites'
UNCORRECTABLE_ERRORS = 'uncorrectableErrors'
UNIQUE_BLOCKS = 'uniqueBlocks'
UNIQUE_BLOCK_USED_SPACE = 'uniqueBlocksUsedSpace'
UNIQUE_ID = 'uniqueID'
UNKNOWN = 'unknown'
UPDATE = 'update'
URL = 'url'
USABLE_CAPACITY = 'usableCapacity'
USERNAME = 'username'
USE_THE_FORCE_LUKE = '__useTheForceLuke'
USED_MEMORY = 'usedMemory'
VERSION = 'version'
VERSION_NUMBER = 'versionNumber'
VIRTUAL_NETWORKS = 'virtualNetworks'
VIRTUAL_VOLUME_ID = 'virtualVolumeID'
VOLUME = 'volume'
VOLUMES = 'volumes'
VOLUME_ACCESS = 'access'
VOLUME_ACCESS_GROUP = 'volumeAccessGroup'
VOLUME_ACCESS_GROUPS = 'volumeAccessGroups'
VOLUME_ACCESS_GROUP_ID = 'volumeAccessGroupID'
VOLUME_ACCESS_GROUP_IDS = 'volumeAccessGroupIDs'
VOLUME_ID = 'volumeID'
VOLUME_IDS = 'volumeIDs'
VOLUME_NAME = 'volumeName'
VOLUME_PAIR_UUID = 'volumePairUUID'
VOLUME_PAIRS = 'volumePairs'
VOLUME_PAIRING_KEY = 'volumePairingKey'
VOLUME_STATUS = 'volumeStatus'
VOLUME_UTILIZATION = 'volumeUtilization'
VVOL = 'vvol'
WARNING = 'warning'
WEEKDAYS = 'weekdays'
WRITE_BLOCK_SIZE_128K_PLUS = 'writeBlockSize128kPlus'
WRITE_BLOCK_SIZE_16K = 'writeBlockSize16k'
WRITE_BLOCK_SIZE_32K = 'writeBlockSize32k'
WRITE_BLOCK_SIZE_4K = 'writeBlockSize4k'
WRITE_BLOCK_SIZE_512 = 'writeBlockSize512'
WRITE_BLOCK_SIZE_64K = 'writeBlockSize64k'
WRITE_BLOCK_SIZE_8K = 'writeBlockSize8k'
WRITE_BLOCK_SIZES = 'writeBlockSizes'
WRITE_BYTES = 'writeBytes'
WRITE_BYTES_LAST_SAMPLE = 'writeBytesLastSample'
WRITE_LATENCY_USEC = 'writeLatencyUSec'
WRITE_LATENCY_USEC_TOTAL = 'writeLatencyUSecTotal'
WRITE_OPS = 'writeOps'
WRITE_OPS_LAST_SAMPLE = 'writeOpsLastSample'

# If no API version is known, try this to find the latest supported version
DEFAULT_API_VERSION = '5.0'

# Regex Constants
REGEX_TIMESTAMP = r'^([0-1]?[0-9]|2[0-3]):[0-5]\d:[0-5]\d(\.\d+)?$'  # ex: 23:59:01.59999
REGEX_DATETIMESTAMP = r'^\d{4}-\d\d-\d\d ' \
                      r'([0-1]?[0-9]|2[0-3]):[0-5]\d:[0-5]\d(\.\d+)?$$'  # ex: 2016-05-01 23:59:01
REGEX_PERCENT = r'^([1-9]?\d|100)%$'  # ex: 83%
REGEX_IPV4_OR_NA = r'(^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$)|^N/A$'  # ex: 10.117.93.02, ex: N/A
REGEX_IPV4_OR_EMPTY = r'(^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$)|^$|^N/A$'  # ex: 10.117.93.02, ex: N/A

REGEX_MAC_ADDRESS = r'^[0-9a-z]{2}(:[0-9a-z]{2}){5}$'  # ex: 59:cf:5e:a2:1e:b3
REGEX_WORLD_WIDE_NAME = r'^[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7}$'  # ex: 9e:32:59:cf:5e:a2:1e:b3

# Max Volume Sizes
DEFAULT_MAX_VOLUME_SIZE = _data_size.DataSize(8, _data_size.DataUnit.tebibytes)
SODIUM_MAX_VOLUME_SIZE = _data_size.DataSize(16, _data_size.DataUnit.tebibytes)

# Metadata fields for API request parameters
# -------------------------------------------------------------------------------------------------------
# Test specification
EXCEPTION_OVERRIDES = 'exc_overrides'
EXCEPTIONS = 'exceptions'
NULL_INVALID = 'null_invalid'
INVALID_CHOICES = 'invalid_choices'
CANT_TEST = 'cant_test'
# Cluster dependencies
REF_REQUIRED = 'reference_required'
REF_PARAMS = 'ref_parameters'
REF_CONDITIONS = 'ref_conditions'
REF_MIN = 'ref_min_limit'
REF_MAX = 'ref_max_limit'
ORPHAN_NODES_REQUIRED = 'orphan_nodes_required'
# Request parameter dependencies
CONFLICTING_FIELDS = 'conflicting_fields'
DEPENDENT_FIELDS = 'dependent_fields'
OPTIONAL_WITH_FIELDS = 'optional_with_fields'
MIN_LIMIT_FIELD = 'min_limit_field'
MAX_LIMIT_FIELD = 'max_limit_field'
# -------------------------------------------------------------------------------------------------------
