"""SF API models."""

# noinspection PyUnresolvedReferences
# noinspection PyUnresolvedReferences
from sf_models import (
    ApiEnum,
    Base,
    Build,
    DataSize,
    DataUnit,
    Healthcheck,
    HypervisorHost,
    NetworkInterfaceName,
    NetworkProfile,
    ResourceClient,
    ResourceCluster,
    ResourceComputeNode,
    ResourceInterface,
    ResourceIp,
    ResourceManagementNode,
    ResourceNode,
    StorageHealthcheckResultModel,
    StorageHealthcheckStatusModel,
    UpgradeConfig,
    UpgradeNode,
    UpgradePackage,
    UpgradeResource,
    UpgradeStatus,
    VirtualHardwareProfile,
    disable_strict_validation,
    enable_strict_validation,
)

# Import all of sf_models for compatibility
from sf_api.models._account import (
    Account,
    AccountEfficiency,
)
from sf_api.models._async import (
    DETAILS_MODELS,
    AddDrivesDetails,
    AddNodesDetails,
    AsyncResult,
    BSCheckDetails,
    CloneVolumeDetails,
    DetailsString,
    ErrorResponse,
    FillSliceDetails,
    GarbageCollectionDetails,
    GarbageCollectionDetailsPreMg,
    GroupCloneVolumesDetails,
    RemoveDrivesDetails,
    SecureEraseDrivesDetails,
)
from sf_api.models._auth_session import AuthSessionInfo
from sf_api.models._cluster import (
    CiphersInfo,
    Cluster,
    ClusterAdmin,
    ClusterBlock,
    ClusterBlockInfo,
    ClusterCapacity,
    ClusterConfig,
    ClusterEnsemble,
    ClusterEnsembleNode,
    ClusterEvent,
    ClusterFault,
    ClusterFullThreshold,
    ClusterHardwareInfo,
    ClusterLimits,
    ClusterLocationDetails,
    ClusterNodeConfig,
    ClusterNodeConfigExtended,
    ClusterNodeStats,
    ClusterPair,
    ClusterReport,
    ClusterService,
    ClusterServiceInfo,
    ClusterStats,
    ClusterStructure,
    ClusterVersionInfo,
    EncryptionAtRestInfo,
    FipsErrorNodeReport,
    FipsNodeReport,
    HardwareInfoOverrides,
    NodeProtectionDomainLayout,
    NtpInfo,
    PerServiceStatus,
    PrivateProtectionDomain,
    ProposedClusterError,
    ProtectionDomain,
    RawStats,
    ServiceGarbageCollectionStatus,
    SnmpInfo,
    TestConnectEnsembleDetails,
    ZkDatabaseEntry,
    ZkEntryStat,
    ZoneLayout,
)
from sf_api.models._cluster_constants import (
    ClusterConstants,
    ClusterConstantsVerbose,
)
from sf_api.models._drive import (
    ClusterServiceDrive,
    Drive,
    DriveConfig,
    DriveError,
    DriveHardwareInfo,
    DriveInfo,
    DriveStats,
    NodeDriveConfig,
    NodeDriveConfigResult,
    NodeDriveHardware,
    NodeDriveHardwareResult,
    ResetDriveList,
    ResetDriveStatus,
)
from sf_api.models._fibre_channel import (
    FibreChannelPort,
    FibreChannelPortInfo,
    FibreChannelSession,
    NodeFibreChannelPortInfo,
)
from sf_api.models._general import (
    CertificateDetails,
    FeatureStatus,
    IscsiSession,
    LdapConfig,
    LoggingServer,
    LoginBanner,
    LoginSessionInfo,
    PendingOperation,
    SnmpNetworkInfo,
    SnmpTrapRecipient,
    SnmpUserInfo,
    SoftwareVersionInfo,
    SolidFireException,
)
from sf_api.models._mfa import (
    AuthConfiguration,
    IdpConfigInfo,
)
from sf_api.models._mnode_assets import (
    Asset,
    AssetResult,
)
from sf_api.models._mnode_services import ServiceUpdateStatus
from sf_api.models._network import (
    AddressBlocks,
    MinimalVirtualNetwork,
    NetworkConfig,
    NetworkInterface,
    NetworkInterfaceDetails,
    NetworkInterfaceDetailsExtended,
    NetworkInterfaceStats,
    NodeHardwareInfoInterfaceStatus,
    NodeHardwareNetworkInterface,
    PhysicalInterfaceDetails,
    PingResponse,
    VirtualNetwork,
)
from sf_api.models._node import (
    ActiveNode,
    AvailableNode,
    BootstrapConfig,
    BootstrapInfo,
    ClusterState,
    CoreInfo,
    Ensemble,
    EnsembleNode,
    EnsembleNodeInfo,
    IpmiConfig,
    IpmiInfo,
    MountedFileSystem,
    NodeBinaryVersionInfo,
    NodeBinaryVersionInfoDetails,
    NodeHardwareConfig,
    NodeHardwareInfo,
    NodeHardwareNvramOther,
    NodeHardwareNvramRms,
    NodeHardwareTest,
    NodeMvipDetails,
    NodeNetworkInterfaces,
    NodeNetworkInterfaceStats,
    NodeNetworkInterfaceStatus,
    NodeRtfiDetails,
    NodeRtfiInfo,
    NodeState,
    NodeStateInfo,
    NodeStats,
    NodeSvipDetails,
    NodeVersionInfo,
    Package,
    PendingActiveNode,
    PendingNode,
    PlatformInfo,
    ServerStats,
    SfNodeBase,
    StorageInfo,
    SupportBundle,
    SystemInfo,
    SystemMemory,
    ZookeeperView,
)
from sf_api.models._nvram import (
    NvramErrors,
    NvramEvent,
    NvramEventOccurrence,
    NvramExtended,
    NvramFirmware,
    NvramIdentify,
    NvramInfo,
    NvramSmart,
    NvramSmartCounter,
)
from sf_api.models._protection_domains import ProtectionDomainLevel
from sf_api.models._route import Route
from sf_api.models._schedule import (
    Schedule,
    ScheduleInfo,
    Weekday,
)
from sf_api.models._security import (
    KeyProviderKmip,
    KeyServerKmip,
)
from sf_api.models._snapmirror import SnapMirrorEndpoint
from sf_api.models._snapshot import (
    GroupSnapshot,
    MemberSnapshot,
    Snapshot,
)
from sf_api.models._volume import (
    BackupTarget,
    BlockSizeHistogram,
    BulkVolumeJob,
    BulkVolumeJobAttributes,
    ClonedVolumeInfo,
    CloneJob,
    Histograms,
    Initiator,
    LunAssignment,
    MetadataHosts,
    Qos,
    QosCurve,
    QosPolicy,
    QuintileHistogram,
    Slice,
    SliceAssignment,
    SnapshotReplication,
    StandbyServiceInfo,
    SyncJob,
    VagLunAssignments,
    VagVolume,
    Volume,
    VolumeAccessGroup,
    VolumePair,
    VolumePairRemoteReplication,
    VolumeQosHistograms,
    VolumeStats,
)
from sf_api.models._vvols import StorageContainer
