"""Authentication Session Data Models."""
import sf_models

from sf_api import api_constants
from sf_api.models import types


class AuthSessionInfo(sf_models.Base):
    """Authentication Session data model.

    Corresponds to the elements of the AuthSessionInfo object in the ListAuthSessions response.
    """
    session_id = types.UUIDType(required=True, serialized_name=api_constants.SESSION_ID)
    cluster_admin_ids = types.ListType(
        types.IntIdType(), required=True, serialized_name=api_constants.CLUSTER_ADMIN_IDS)
    username = types.StringType(required=True)
    session_creation_time = types.StringType(required=True,
                                             serialized_name=api_constants.SESSION_CREATION_TIME)
    final_timeout = types.StringType(required=True,
                                     serialized_name=api_constants.FINAL_TIMEOUT)
    last_access_timeout = types.StringType(required=True,
                                           serialized_name=api_constants.LAST_ACCESS_TIMEOUT)
    access_group_list = types.ListType(types.StringType(), required=True,
                                       serialized_name=api_constants.ACCESS_GROUP_LIST)
