"""MFA API data models."""

import sf_models

from sf_api import api_constants
from sf_api.models import types


class AuthConfiguration(sf_models.Base):
    configuration = types.StringType(required=True)
    version = types.IntType(required=True)


class IdpConfigInfo(sf_models.Base):
    idp_metadata_url = types.URLType(required=True, serialized_name=api_constants.IDP_METADATA_URL)
    idp_configuration_id = types.UUIDType(required=True,
                                          serialized_name=api_constants.IDP_CONFIGURATION_ID)
    sp_metadata_url = types.URLType(required=True, serialized_name=api_constants.SP_METADATA_URL)
    service_provider_certificate = types.StringType(
        required=True,
        serialized_name=api_constants.SERVICE_PROVIDER_CERTIFICATE)
    enabled = types.BooleanType(required=True)
