"""Mnode asset Data Models."""
import sf_models

from sf_api.models import types


class Asset(sf_models.Base):
    """Corresponds to a single Asset returned by mnode2.0 /assets endpoint."""
    links = types.DictType(types.StringType(), serialized_name='_links')
    config = types.DictType(types.StringType(), default=dict)
    credential_id = types.StringType(serialized_name='credentialid')
    host_name = types.StringType()
    asset_id = types.StringType(serialized_name='id')
    ip = types.IPAddressType()
    parent = types.StringType()
    ssl_certificate = types.StringType()


class AssetResult(sf_models.Base):
    """Corresponds to all the assets returned by mnode2.0 /assets GET endpoint."""
    compute = types.ListType(types.ModelType(Asset), default=list)
    config = types.DictType(types.StringType(), default=dict)
    controller = types.ListType(types.DictType(types.StringType(), default=dict), default=list)
    default_hypervisor_password = types.StringType()
    asset_id = types.StringType(serialized_name='id')
    name = types.StringType()
    ots = types.ListType(types.DictType(types.StringType(), default=dict), default=list)
    storage = types.ListType(types.ModelType(Asset), default=list)
    telemetry_active = types.BooleanType()
