"""Route Data Model."""

import sf_models

from sf_api.models import types


class Route(sf_models.Base):
    """Route Model class."""
    type = types.StringType(required=True)
    target = types.IPv4Type(required=True)
    netmask = types.IPv4Type()
    gateway = types.IPv4Type(required=True)

    def __repr__(self):
        return '{}<{}={}, {}={}, {}={}, {}={}>'.format(
            self.__class__.__name__,
            'type', self.type,
            'target', self.target,
            'netmask', self.netmask,
            'gateway', self.gateway)
