"""Vvols data models."""
import sf_models

from sf_api.models import types


class StorageContainer(sf_models.Base):
    """StorageContainer data model.

    Corresponds to the StorageContainers object in the ListStorageContainers response.
    """
    account_id = types.IntType(required=True, serialized_name='accountID')
    initiator_secret = types.StringType(required=True, serialized_name='initiatorSecret')
    name = types.StringType(required=True)
    protocol_endpoint_type = types.StringType(required=True, serialized_name='protocolEndpointType')
    status = types.StringType(required=True)
    storage_container_id = types.UUIDType(required=True, serialized_name='storageContainerID')
