import unittest

from sf_api import models


class TestSecurityModels(unittest.TestCase):
    def test_name(self):
        key_provider_dm = models.KeyProviderKmip.create(key_provider_name='old_name')
        assert key_provider_dm.name == 'old_name'
        key_provider_dm.name = 'new_name'
        assert key_provider_dm.name == 'new_name'

        key_server_dm = models.KeyServerKmip.create(kmip_key_server_name='old_name')
        assert key_server_dm.name == 'old_name'
        key_server_dm.name = 'new_name'
        assert key_server_dm.name == 'new_name'

    def test_is_active(self):
        key_provider_dm = models.KeyProviderKmip.get_mock_object(
            overrides=dict(key_provider_is_active=True))
        assert key_provider_dm.is_active

        key_server_dm = models.KeyServerKmip.get_mock_object(
            overrides=dict(kmip_assigned_provider_is_active=True))
        assert key_server_dm.is_provider_active
