"""Result data models related to asynchronous API methods."""
from sf_api import models
from sf_api.models import types
from sf_api.result_models import base_result


class GetAsyncResult(models.AsyncResult, base_result.BaseApiResult):
    """GetAsyncResult result."""


class ListAsyncResults(base_result.BaseApiResult):
    """ListAsyncResults result.

    Unlike GetAsyncResult, the list method cannot be destructive. Calling ListAsyncResults will not
    remove the async process's data.

    .. note:: The data returned here for each async process is different from GetAsyncResult
    """
    async_handles = types.ListType(types.ModelType(models.AsyncResult), required=True,
                                   default=list, serialized_name='asyncHandles')
