"""Result data models related to accounts."""
from sf_api import (
    api_constants,
    models,
    sf_version,
)
from sf_api.models import types
from sf_api.result_models import base_result


class AddAccount(base_result.BaseApiResult):
    account = types.ModelType(
        model_spec=models.Account,
        required=True,
        version_added=sf_version.SfVersion('9.0')
    )
    account_id = types.IntType(required=True, serialized_name=api_constants.ACCOUNT_ID)


class GetAccountById(base_result.BaseApiResult):
    account = types.ModelType(models.Account, required=True)


class GetAccountByName(base_result.BaseApiResult):
    account = types.ModelType(models.Account, required=True)


class GetAccountEfficiency(models.AccountEfficiency, base_result.BaseApiResult):
    pass


class ListAccounts(base_result.BaseApiResult):
    accounts = types.ListType(types.ModelType(models.Account), required=True, default=list)


class ModifyAccount(base_result.BaseApiResult):
    account = types.ModelType(
        model_spec=models.Account,
        required=True,
        version_added=sf_version.SfVersion('9.0')
    )
