"""Result data models related to Authentication Sessions."""
from sf_api import models
from sf_api.models import types
from sf_api.result_models import base_result


class CreateAuthSessionResult(base_result.BaseApiResult):
    session = types.ModelType(models.AuthSessionInfo, required=True)


class DeleteAuthSessionResult(base_result.BaseApiResult):
    session = types.ModelType(models.AuthSessionInfo, required=True)


class DeleteAuthSessionsResult(base_result.BaseApiResult):
    sessions = types.ListType(types.ModelType(models.AuthSessionInfo), required=True)


class ListAuthSessionsResult(base_result.BaseApiResult):
    sessions = types.ListType(types.ModelType(models.AuthSessionInfo), required=True, default=list)


class ListCurrentClusterAdminsResult(base_result.BaseApiResult):
    username = types.StringType(required=True)
    cluster_admins = types.ListType(types.ModelType(models.ClusterAdmin), required=True,
                                    serialized_name='clusterAdmins', default=list)


class UpdateAuthSessionResult(base_result.BaseApiResult):
    session = types.ModelType(models.AuthSessionInfo, required=True)
