"""Result data models related to fibre-channel."""
from sf_api import (
    models,
    sf_version,
)
from sf_api.models import types
from sf_api.result_models import base_result


class GetVolumeAccessGroupLunAssignments(base_result.BaseApiResult):
    volume_access_group_lun_assignments = types.ModelType(
        model_spec=models.VagLunAssignments,
        required=True,
        serialized_name='volumeAccessGroupLunAssignments'
    )


class ListFibreChannelPortInfo(base_result.BaseApiResult):
    fibre_channel_port_info = types.DictType(
        field=types.DictType(types.ModelType(models.FibreChannelPortInfo)),
        required=True,
        serialized_name='fibreChannelPortInfo'
    )


class ListFibreChannelSessions(base_result.BaseApiResult):
    sessions = types.ListType(types.ModelType(models.FibreChannelSession), required=True)


class ListNodeFibreChannelPortInfo(base_result.BaseApiResult):
    nodes = types.ListType(types.ModelType(models.NodeFibreChannelPortInfo), required=True)


class ModifyVolumeAccessGroupLunAssignments(base_result.BaseApiResult):
    volume_access_group_lun_assignments = types.ModelType(
        model_spec=models.VagLunAssignments,
        required=True,
        serialized_name='volumeAccessGroupLunAssignments',
        version_added=sf_version.SfVersion('9.0')
    )
