"""Result data models related to LDAP."""
from sf_api import models
from sf_api.models import types
from sf_api.result_models import base_result


class GetLdapConfiguration(base_result.BaseApiResult):
    ldap_configuration = types.ModelType(
        model_spec=models.LdapConfig,
        required=True,
        serialized_name='ldapConfiguration'
    )


class TestLdapAuthentication(base_result.BaseApiResult):
    groups = types.ListType(types.StringType(), required=True)
    user_dn = types.StringType(required=True, serialized_name='userDN')
