"""Result data models related to Idp Configurations."""
from sf_api import (
    api_constants,
    models,
)
from sf_api.models import types
from sf_api.result_models import base_result


class CreateIdpConfigurationResult(base_result.BaseApiResult):
    idp_config_info = types.ModelType(
        models.IdpConfigInfo,
        required=True,
        serialized_name=api_constants.IDP_CONFIG_INFO)


class DeleteIdpConfigurationResult(base_result.BaseApiResult):
    pass


class EnableIdpAuthenticationResult(base_result.BaseApiResult):
    pass


class DisableIdpAuthenticationResult(base_result.BaseApiResult):
    pass


class ListIdpConfigurationsResult(base_result.BaseApiResult):
    idp_config_infos = types.ListType(
        types.ModelType(models.IdpConfigInfo),
        required=True,
        default=list,
        serialized_name=api_constants.IDP_CONFIG_INFOS)


class UpdateIdpConfigurationResult(base_result.BaseApiResult):
    idp_config_info = types.ModelType(
        models.IdpConfigInfo,
        required=True,
        serialized_name=api_constants.IDP_CONFIG_INFO)


class GetIdpAuthenticationStateResult(base_result.BaseApiResult):
    enabled = types.BooleanType(required=True)
