"""Result data models related to schedules."""
from sf_api import (
    models,
    sf_version,
)
from sf_api.models import types
from sf_api.result_models import base_result


class CreateSchedule(base_result.BaseApiResult):
    schedule = types.ModelType(models.Schedule, required=True,
                               version_added=sf_version.SfVersion('9.0'))
    schedule_id = types.IntIdType(required=True, serialized_name='scheduleID')


class ListSchedules(base_result.BaseApiResult):
    schedules = types.ListType(types.ModelType(models.Schedule), required=True, default=list)


class ModifySchedule(base_result.BaseApiResult):
    schedule = types.ModelType(models.Schedule, required=True,
                               version_added=sf_version.SfVersion('9.0'))
