"""Result models related to security."""
from sf_api import models
from sf_api.models import types
from sf_api.result_models import base_result


class CreateKeyProviderKmip(base_result.BaseApiResult):
    kmip_key_provider = types.ModelType(
        models.KeyProviderKmip,
        required=True,
        serialized_name='kmipKeyProvider'
    )


class CreateKeyServerKmip(base_result.BaseApiResult):
    kmip_key_server = types.ModelType(
        models.KeyServerKmip,
        required=True,
        serialized_name='kmipKeyServer'
    )


class GetClientCertificateSignRequest(base_result.BaseApiResult):
    client_certificate_sign_request = types.StringType(
        required=True,
        serialized_name='clientCertificateSignRequest'
    )


class GetKeyProviderKmip(base_result.BaseApiResult):
    kmip_key_provider = types.ModelType(
        models.KeyProviderKmip,
        required=True,
        serialized_name='kmipKeyProvider'
    )


class GetKeyServerKmip(base_result.BaseApiResult):
    kmip_key_server = types.ModelType(
        models.KeyServerKmip,
        required=True,
        serialized_name='kmipKeyServer'
    )


class ListKeyProvidersKmip(base_result.BaseApiResult):
    kmip_key_providers = types.ListType(
        types.ModelType(models.KeyProviderKmip),
        required=True,
        serialized_name='kmipKeyProviders'
    )


class ListKeyServersKmip(base_result.BaseApiResult):
    kmip_key_servers = types.ListType(
        types.ModelType(models.KeyServerKmip),
        required=True,
        serialized_name='kmipKeyServers'
    )


class ModifyKeyServerKmip(base_result.BaseApiResult):
    kmip_key_server = types.ModelType(
        models.KeyServerKmip,
        required=True,
        serialized_name='kmipKeyServer'
    )


class EnableEncryptionAtRest(base_result.BaseApiResult):
    cluster_info = types.ModelType(models.Cluster, serialized_name='clusterInfo')


class GetEncryptionAtRestInfo(base_result.BaseApiResult):
    encryption_at_rest_info = types.ModelType(
        models.EncryptionAtRestInfo,
        required=True,
        serialized_name='encryptionAtRestInfo'
    )
