"""Result data models related to SnapMirror."""
from sf_api import (
    api_constants,
    models,
)
from sf_api.models import types
from sf_api.result_models import base_result


class CreateSnapMirrorEndpoint(base_result.BaseApiResult):
    snapmirror_endpoint = types.ModelType(models.SnapMirrorEndpoint, required=True,
                                          serialized_name=api_constants.SNAPMIRROR_ENDPOINT)


class ListSnapMirrorEndpoints(base_result.BaseApiResult):
    snapmirror_endpoints = types.ListType(types.ModelType(models.SnapMirrorEndpoint), required=True,
                                          default=list)


class ModifySnapMirrorEndpoint(base_result.BaseApiResult):
    snapmirror_endpoint = types.ModelType(models.SnapMirrorEndpoint, required=True,
                                          serialized_name=api_constants.SNAPMIRROR_ENDPOINT)
