"""sf_models package.

This package contains data models that are shared across the automation
codebase.
"""
from sf_models._base import (
    Base,
    ResourceInterface,
    disable_strict_validation,
    enable_strict_validation,
)
from sf_models._build import Build
from sf_models._client import ResourceClient
from sf_models._external_key_server import (
    ExternalKeyServer,
    ExternalKeyServerCluster,
    VormetricExternalKeyServer,
)
from sf_models._fdva import ResourceManagementNode
from sf_models._hypervisor import (
    HypervisorHost,
    VirtualHardwareProfile,
)
from sf_models._ip import ResourceIp
from sf_models._mnode_services import (
    About,
    MnodeBundleLogSettingsModel,
    MnodeBundleLogsResponseModel,
    MnodeBundleReportModel,
    MnodeBundleTaskResponseModel,
    MnodeConfig,
    MnodeTaskMonitorModel,
    ServicesUpload,
    PackageInfo,
    PackageServiceStatus
)
from sf_models._network_interface_name import NetworkInterfaceName
from sf_models._node_type import (
    HCI_COMPUTE_MODELS,
    HCI_STORAGE_MODELS,
    NodeType,
)
from sf_models._resource_cluster import ResourceCluster
from sf_models._resource_network import (
    NetworkProfile,
    ResourceSubnet,
)
from sf_models._resource_node import (
    ResourceComputeNode,
    ResourceNode,
)
from sf_models._storage_service import (
    Healthcheck,
    StorageHealthcheckResultModel,
    StorageHealthcheckStatusModel,
    StorageServiceStatusBase,
    UpgradeConfig,
    UpgradeLogs,
    UpgradeNode,
    UpgradePackage,
    UpgradeResource,
    UpgradeStatus,
)
from sf_models._virtual_network import (
    AddressBlocks,
    VirtualNetwork,
)
from sf_models.data_size import (
    DataSize,
    DataUnit,
)
from sf_models.enums import ApiEnum
from sf_models.generic_version import GenericVersion
from sf_models.sf_version import (
    EmberVersion,
    SfVersion,
    get_version_tuple,
    get_version_tuple_and_sha,
)
