"""Constants used by AT2."""
# pylint: disable=unused-import
from sf_models._node_type import (
    FC_NODE_MODELS,
    GENERIC_VIRT_NODE_MODELS,
    HCI_COMPUTE_MODELS,
    HCI_MODELS,
    HCI_STORAGE_MODELS,
    ISCSI_NODE_MODELS,
    NODE_MODELS,
    PHYSICAL_NODE_MODELS,
    NON_FC_NODE_MODELS,
    PROTOTYPE_MODEL,
    TRITON_NE_NODE_MODELS,
    TRITON_NODE_MODELS,
)

API_ENDPOINT = 'apiEndpoint'
ARTIFACT_CREDENTIALS = 'artifact_credentials'
AUTO_PASS = 'solidfire'
AUTO_USER = 'automation@solidfire.com'
AUTOTEST_HOST = 'autotestHost'
BOND_10G = 'Bond10G'
BOND_1G = 'Bond1G'
BUILD = 'build'
BUILD_ID = 'buildID'
INPUT_BUILD_VERSION = 'build_version'
BUILD_VERSION = 'buildVersion'
CLIENTS = 'clients'
CLIENT_NAME = 'clientName'
CLUSTERS = 'clusters'
CLUSTER_LIF = 'clusterLIF'
CLUSTER_MANAGEMENT_PORT = 'clusterManagementPort'
CLUSTER_NAME = 'clusterName'
CLUSTER_PORTS = 'clusterPorts'
CONTROL_HOST = 'controlHost'
CONTROL_TYPE = 'controlType'
CREATE_CAMELOT_CLUSTER_RESOURCES = 'create_camelot_cluster_resources'
CREATE_CAMELOT_NODE_RESOURCES = 'create_camelot_node_resources'
CREATE_CAMELOT_FDVA_RESOURCES = 'create_camelot_fdva_resources'
CREATE_CLUSTER = 'create_cluster'
CYCLORTP_USERNAME = 'cyclortpUsername'
CYCLORTP_PASSWORD = 'cyclortpPassword'
DATA_PORTS = 'dataPorts'
DATA_TYPE_NAME = 'dataTypeName'
ELEMENT_ID = 'elementID'
FDVA_NAME = 'fdvaName'
FIBRE_CHANNEL = 'fibreChannel'
GATEWAY_10G = 'gateway10G'
GATEWAY_1G = 'gateway1G'
GATEWAY_1GV6 = 'gateway1GV6'
HARDWARE = 'hardware'
IDRAC_IP = 'iDRACIP'
IMAGE_LISTING_1G = 'imageListing1G'
IMAGE_SERVER_1G = 'imageServer1G'
INPUTS = 'inputs'
INPUT_NAME = 'inputName'
INTERCLUSTER_LIFS = 'interclusterLIFs'
INTERCLUSTER_PORTS = 'interclusterPorts'
IP = 'ip'
IS_CHECKOUT_ALLOWED = 'isCheckoutAllowed'
JENKINS_1G = 'jenkins1G'
KMIP_VERSION = 'kmipVersion'
LAST_OOB_RESET = 'lastOOBReset'
LOCATION_ID = 'locationID'
LOCATION_NAME = 'locationName'
NAME = 'name'
NAME_SEARCH_1G = 'nameSearch1G'
NAME_SERVER_1G = 'nameServer1G'
NAME_SERVER_10G = "nameServer10G"
NAME_SEARCH_10G = "nameSearch10G"
NETMASK_10G = 'netmask10G'
NETMASK_1G = 'netmask1G'
NETWORK_ID = 'networkID'
NETWORK_NAME = 'networkName'
NETWORK_PROFILE = 'networkProfile'
NODES = 'nodes'
NODE_LIFS = 'nodeLIFs'
NODE_MANAGEMENT_PORT = 'nodeManagementPort'
NODE_NAME = 'nodeName'
NODE_NAMES = 'nodeNames'
NODE_SPS = 'nodeSPs'
ONE_GIG_IP = 'oneGigIP'
ONE_GIG_VLAN = 'oneGigVlan'
OOB_IP = 'oobIP'
OS = 'OS'
OUTPUT_VALUE = 'outputValue'
PASSWORD = 'password'
PXE_SERVER_ADDRESS = 'pxeServerAddress'
PXE_SERVER_CONFIG_PATH = 'pxeServerConfigPath'
PXE_SERVER_IMAGES = 'pxeServerImages'
PXE_SERVER_PASSWORD = 'pxeServerPassword'
PXE_SERVER_USERNAME = 'pxeServerUsername'
QUEUE_DAEMON_UUID = 'queueDaemonUUID'
RELEASE = 'release'
REPOSITORY_NAME = 'repositoryName'
REP_COUNT = 'repCount'
RESERVE_CLIENTS = 'reserve_clients'
RESERVE_NODES = 'reserve_nodes'
RESERVE_FDVA = 'reserve_fdva'
RESERVE_IP = 'reserve_ip'
RESERVE_VIRTUAL_NETWORKS = 'reserve_virtual_networks'
RESOURCE_ID = 'resourceID'
RESOURCE_POOL_ID = 'resourcePoolID'
RESOURCE_TYPE_ID = 'resourceTypeID'
RESOURCE_TYPE_NAME = 'resourceTypeName'
RUN_CAMELOT_SUITE_STEP = 'run_camelot_suite'
SERIAL_NO = 'serialNo'
SETUP_CLUSTER = 'setup_cluster'
SETUP_CLUSTERS = 'setup_clusters'
SSL_VERSION = 'sslVersion'
STEP_NAME = 'stepName'
SUBNET_10G = 'subnet10G'
SUBNET_1G = 'subnet1G'
SVM_NODE_LIFS = 'svmNodeLIFs'
TASK_INSTANCE_ID = 'taskInstanceID'
TASK_INSTANCE_STEPS = 'taskInstanceSteps'
TASK_INSTANCE_STEP_ID = 'taskInstanceStepID'
TEN_GIG_IP = 'tenGigIP'
TEN_GIG_VLAN = 'tenGigVlan'
TYPE = 'type'
UNIQUE_ID = 'uniqueID'
USERNAME = 'username'
VALUE = 'value'
VERSION = 'version'
VIRT_SMALL = 'virtSmall'
VIRT_MEDIUM = 'virtMedium'
VIRT_LARGE = 'virtLarge'

# SDS/SFDEMO node specific constants
VIRTUAL_HARDWARE_PROFILE = 'virtualHardwareProfile'
HYPERVISOR_HOST = 'hypervisorHost'
IMAGE_LOCATION = 'imageLocation'
CPU_COUNT = 'cpuCount'
NICS = 'nics'
MEMORY_BYTES = 'memoryBytes'
DISK_BYTES = 'diskBytes'
MANAGEMENT_IP = 'managementIP'
PHYSICAL = 'physical'
ESX = 'ESX'
KVM = 'KVM'
