"""Valence camelot package.

This is the "valence.camelot" package which remains here for backward
compatibility purposes. For non-ElementOS test suites, use the "camelot"
package.

"valence.camelot" is a superset of the "camelot" package that adds
ElementTestCase and ElementTestSuite which are the base test classes for
ElementOS test cases.
"""

# noinspection PyUnresolvedReferences
from camelot import (
    TEST_LOG_FILE,
    CaseInspector,
    Error,
    ExceptionDelayer,
    InspectionError,
    ResultStatus,
    SuiteResult,
    TestCase,
    TestRun,
    TestRuntimeError,
    TestSuite,
    banner,
    get_cases_from_module,
    get_steps_from_case,
    get_suites_from_module,
    print_steps,
)
from valence.camelot._element_case import ElementTestCase
from valence.camelot._element_suite import ElementTestSuite
