"""Valence Sanity testing cases."""
from valence.cases import sanity_cases


class MonitorsSanityCommitSmoke(sanity_cases.SanityCommitSmoke):
    """Creates an account and 20x50Gb volumes.

    :param valence.models.ResourceCluster rs_cluster_dm: cluster data model
    :param list[valence.models.ResourceNode] rs_node_dms: node data models
    :param valence.models.ResourceClient rs_client_dm: Client data model
    :param sf_artifacts.ArtifactManager artifact_manager: Manager that will be used to store support
        bundles.
    :param valence.monitors.BackendMonitor backend_monitor: The backend monitor instance
    """

    def __init__(self, rs_cluster_dm, rs_node_dms, rs_client_dm, artifact_manager, backend_monitor):
        super(MonitorsSanityCommitSmoke, self).__init__(rs_cluster_dm, rs_node_dms,
                                                        rs_client_dm, artifact_manager)
        self.backend_monitor = backend_monitor

    def _teardown(self):
        """Teardown the test and restore cluster to a clean state."""
        self.backend_monitor.wait_for_timeouts()
        super(MonitorsSanityCommitSmoke, self)._teardown()
        self.backend_monitor.get_failures(raise_failures=True)
