"""Base exceptions for Valence package.

None of these exceptions should be raised directly.
"""


class Error(Exception):
    """Base exception for the Valence package.

    Exceptions for sub packages within Valence must inherit from this exception.
    """


# pylint: disable=redefined-builtin
class TimeoutError(Error):
    """Exception that is raised when something times out."""


class ElementInvalidStateError(Error):
    """Error when element is in some form of invalid state."""


class ElementVersionError(Error):
    """Functionality incompatible with element version."""
