"""Windows client functional model."""
from __future__ import division

import autologger

from valence.functional_models._client import base

_log = autologger.get_sflogging()


class WindowsClient(base.Client):
    """Windows Client functional model.

    :param sf_models.ResourceClient client_dm: client data model
    """
    def __init__(self, client_dm):
        super(WindowsClient, self).__init__(client_dm)

        self.client_dm = client_dm  # type: sf_models.ResourceClient
        assert self.client_dm.os.is_windows, "Windows Client FMs must use a Windows DM"
