"""Cluster FM methods related to GetRawStats."""

import autologger

from sf_api import (
    enums,
    result_models,
)
from valence import models
from valence.functional_models._cluster import base

_log = autologger.get_sflogging()


class RawStatsMixin(base.ClusterBase):
    def get_raw_stats(self):
        """Method GetRawStats from the cluster.

        NetApp engineering uses the GetRawStats API method to troubleshoot new features.
        The data returned from GetRawStats is not documented.

        :rtype: valence.models.RawStats
        """
        response = self.call_method(enums.ClusterMethod.get_raw_stats,
                                    result_dm_class=result_models.GetRawStats)

        return models.RawStats(response.raw_data)
