"""This file tests all the methods defined in valence/functional_models/_cluster/report_mixin.py."""
import unittest

import mock

from sf_api import result_models
from valence import (
    functional_models,
    models,
    unittest_utils,
)


class TestGetRawStats(unittest.TestCase):
    @classmethod
    def setUpClass(cls):
        cls.cluster_fm = functional_models.Cluster.get_mock_fm()

    def setUp(self):
        self.mock_response = result_models.GetRawStats.get_mock_response(
            overrides=(dict(
                result={'volume-1': {'throttle0': 0}},)
            ))

    @mock.patch('sf_api.ClusterApi.call_method',
                side_effect=unittest_utils.helpers.check_params_serializable)
    def test_get_raw_stats(self, mock_call_method):
        mock_call_method.return_value = self.mock_response
        raw_stats = self.cluster_fm.get_raw_stats()
        assert mock_call_method.called_once()
        assert isinstance(raw_stats, models.RawStats)
        assert isinstance(repr(raw_stats), str)
