"""Unit tests for Vormetric Functional Models."""

import unittest

import pytest

from valence import functional_models


class TestVormetric(unittest.TestCase):
    def setUp(self):
        self.eks = functional_models.VormetricExternalKeyServer.get_mock_fm()

    def test_sign_csr(self):
        with pytest.raises(functional_models._errors.Error):
            self.eks.sign_csr('path/to/csr')

    def test_enable(self):
        with pytest.raises(functional_models._errors.Error):
            self.eks.enable()

    def test_disable(self):
        with pytest.raises(functional_models._errors.Error):
            self.eks.disable()

    def test_configure_for_testing(self):
        with pytest.raises(functional_models._errors.Error):
            self.eks.configure_for_testing()

    def test_is_running(self):
        with pytest.raises(functional_models._errors.Error):
            self.eks.is_running()
