import unittest

import mock
import pytest

from valence import (
    functional_models,
    models,
)
from valence.functional_models import _errors


class TestManagementNodeBase(unittest.TestCase):
    """Tests base methods on the management node fm."""

    @classmethod
    def setUpClass(cls):
        res_mnode = models.ResourceManagementNode().get_mock_data(include_optional=True)
        cls.mnode_fm = functional_models.ManagementNodeBase.from_resource_data(res_mnode)
        cls.cluster_fm = functional_models.Cluster.get_mock_fm()

    def test_from_resource_data(self):
        assert isinstance(self.mnode_fm, functional_models.ManagementNodeBase)

    def test_cluster_repr(self):
        assert 'ManagementNodeFm' in repr(self.mnode_fm)
        assert 'mip=' in repr(self.mnode_fm)
        assert self.mnode_fm.mip in repr(self.mnode_fm)

    def test_static_id_property(self):
        assert self.mnode_fm.static_id == self.mnode_fm.mip
