"""Base class for Identity Provider functional model."""

from valence.functional_models._client import (
    ubuntu_client,
    windows_client,
)


class AdfsIdpServer(windows_client.WindowsClient):
    """ADFS Identity Provider (IdP) functional model class."""


class DockerizedShibbolethIdpServer(ubuntu_client.UbuntuClient):
    """Docker-based Shibboleth Identity Provider (IdP) functional model class.

    :param sf_models.ResourceClient client_dm: client data model
    """
    def __init__(self, client_dm):
        super(DockerizedShibbolethIdpServer, self).__init__(client_dm)

        self.client_dm = client_dm  # type: sf_models.ResourceClient
        assert self.client_dm.os.is_ubuntu, 'Shibboleth IdP Server must be a Linux DM'
