import unittest

import pytest
from sf_models import at2_enums

from valence import models
from valence.functional_models._mfa import idp


class TestAdfsServer(unittest.TestCase):
    """Test the ADFS Server functional model."""

    def test_init_good_dm(self):
        client_dm = models.ResourceClient.get_mock_object(
            overrides=dict(os=at2_enums.ClientOS.windows_2008))

        assert isinstance(idp.AdfsIdpServer(client_dm), idp.AdfsIdpServer)

    def test_init_bad_dm(self):
        client_dm = models.ResourceClient.get_mock_object(
            overrides=dict(os=at2_enums.ClientOS.ubuntu_18_04))

        with pytest.raises(AssertionError):
            idp.AdfsIdpServer(client_dm)
