import unittest

import pytest
from sf_models import at2_enums

from valence import models
from valence.functional_models._mfa import idp


class TestShibbolethServer(unittest.TestCase):
    """Test the Shibboleth Server functional model."""

    def test_init_good_dm(self):
        client_dm = models.ResourceClient.get_mock_object(
            overrides=dict(os=at2_enums.ClientOS.ubuntu_16_04))

        assert isinstance(idp.DockerizedShibbolethIdpServer(client_dm),
                          idp.DockerizedShibbolethIdpServer)

    def test_init_bad_dm(self):
        client_dm = models.ResourceClient.get_mock_object(
            overrides=dict(os=at2_enums.ClientOS.windows_2008))

        with pytest.raises(AssertionError):
            idp.DockerizedShibbolethIdpServer(client_dm)
