"""Node functional model.

This subpackage should not be imported directly. All public classes are exported under
valence.functional_models.

The methods are organized into mixin classes according to the organization of the
solid-fire-api-descriptors repository:
https://bitbucket.org/solidfire/solidfire-api-descriptors/src/2b5f182eba5c8daf2510475066b00c53dcadbcfd/StandardizedElement/methods/?at=develop

The mixins are purely for code organization and do not affect the public API.

The Node class combines all the mixins and defines the API calls related to nodes.
"""
from valence.functional_models._node.bundle_mixin import BundleMethod
from valence.functional_models._node.node import Node
