import unittest

import mock

import sf_api
from sf_api import result_models
from valence import functional_models


@mock.patch.object(sf_api.NodeApi, 'call_method')
class TestNodeCerts(unittest.TestCase):
    @classmethod
    def setUpClass(cls):
        cls.node_fm = functional_models.Node.get_mock_fm(validate_responses=True)
        cls.response = result_models.GetSslCertificate.get_mock_response()

    def test_get_ssl(self, mock_call_method):
        mock_call_method.return_value = self.response
        returned_config = self.node_fm.get_node_ssl_certificate()
        assert isinstance(returned_config, result_models.GetSslCertificate)

    def test_set_ssl(self, mock_call_method):
        self.node_fm.set_node_ssl_certificate('unittest', 'utpk')

    def test_remove(self, mock_call_method):
        self.node_fm.remove_node_ssl_certificate()
