import unittest

import mock

import sf_api
from sf_api import result_models
from valence import (
    functional_models,
    models,
    unittest_utils,
)

module_mock = unittest_utils.ModuleLevelMock()


@mock.patch.object(sf_api.NodeApi, 'call_method')
class TestGetEnsemble(unittest.TestCase):

    def test_get_config(self, mock_call_method):
        ensemble = result_models.GetEnsembleConfig.get_mock_response(
            include_optional=True, version=models.SfVersion('10.0'))
        mock_call_method.return_value = ensemble
        node = functional_models.Node.get_mock_fm()
        ensemble = node.get_ensemble_config()
        assert isinstance(ensemble, sf_api.result_models.GetEnsembleConfig)
        assert mock_call_method.called
