"""Node functional model zookeeper related methods."""

from sf_api import result_models
from valence import enums
from valence.functional_models._node import base


class ZookeeperMixin(base.NodeBase):
    """Node FM ensemble methods."""

    def get_ensemble_config(self):
        """Get the zookeeper ensemble configuration from a given node.

        :rtype: sf_api.result_models.GetEnsembleConfig
        """
        return self._call_method(enums.NodeMethod.get_ensemble_config,
                                 result_dm_class=result_models.GetEnsembleConfig).result_dm
