"""Models for the async operations."""
from sf_api import (
    api_constants,
    models,
)
from sf_api.models import types


class AsyncHandle(models.Base):
    """AsyncHandle data model.

    Corresponds to an ID returned by various SolidFire async api methods.

    .. note:: A better name is AsyncHandleID, however... see AsyncResult for the actual data fields
    """
    async_handle = types.IntIdType(required=True, serialized_name=api_constants.ASYNC_HANDLE)

    def __repr__(self):
        return '{}<{}={}>'.format(self.__class__.__name__, 'async_handle', self.async_handle)
