"""Cluster data models."""
from sf_api import models


class Cluster(models.Cluster):
    """Cluster data model.

    Overrides the sf_api model in order to add a reference to a ResourceCluster.
    """
    _resource_dm_class = models.ResourceCluster

    @property
    def resource_dm(self):
        """Make resource dm public to allow users to access this attribute.

        :rtype: valence.models.ResourceCluster
        """
        return self._resource_dm

    @property
    def username(self):
        return self.resource_dm.username

    @property
    def password(self):
        return self.resource_dm.password

    @property
    def api_endpoint(self):
        return self.resource_dm.api_endpoint

    @property
    def static_id(self):
        """Returns a unique identifier for the cluster.

        :rtype: str
        """
        return self.mvip
