"""Observer exceptions."""

from valence.monitors import _errors


class ObserverError(_errors.MonitorError):
    """Base exception for observers package.

    This error should not be raised directly.
    """


class FaultsNotRaisedError(ObserverError):
    """Error to be raised when expected cluster faults are not observed."""


class FaultsNotResolvedError(ObserverError):
    """Error to be raised when expected cluster faults are not resolved."""
