"""Test suite that gates Valence releases."""
import sf_artifacts

from valence import (
    camelot,
    cases,
)


class ValenceIntegration(camelot.ElementTestSuite):
    """Test basic Valence functionality needed to qualify a release.

    :param valence.models.SuiteResources resources: Resources data model for all test cases
    :param valence.models.SuiteConfig config: Suite configuration data model
    """
    _skip_remote_reporting = True

    def __init__(self, resources, config):
        super(ValenceIntegration, self).__init__(resources, config)
        self.rs_cluster_dm = self.resources.cluster_dms[0]
        self.rs_node_dms = self.resources.node_dms
        self.rs_client_dms = self.resources.client_dms

        manager = sf_artifacts.get_and_set_global_manager(config.artifact_credentials.serialize())
        self.add_tests([
            cases.ValenceIntegration(
                rs_cluster_dm=self.rs_cluster_dm,
                rs_node_dms=self.rs_node_dms,
                rs_client_dms=self.rs_client_dms,
                artifact_manager=manager
            ),
        ])

    def setup(self):
        """No setup needed yet."""

    def teardown(self):
        """No teardown needed yet."""
