"""Test cases that use components."""
import time

from valence import camelot
from valence.unittest_utils import components


class BlockingComponentCase(camelot.TestCase):
    """Testcase that uses a simple blocking component."""
    def __init__(self, seconds=10):
        super(BlockingComponentCase, self).__init__()
        # pylint: disable=abstract-class-instantiated
        self.cmt = components.SimpleBlocking(seconds=seconds)

    def _test(self):
        """Run it."""
        self.cmt.apply_async()
        self.cmt.finish()


class ContinuousComponentCase(camelot.TestCase):
    """Test the continuous component."""
    def __init__(self, seconds=10):
        super(ContinuousComponentCase, self).__init__()
        self.cmt = components.SimpleContinuous(seconds=seconds)

    def _test(self):
        self.cmt.apply_async()
        time.sleep(25)
        self.cmt.finish()
