"""Contains a test case that that calls _log_step illegally."""
from valence import camelot


class LogStepOutsideTestCase(camelot.TestCase):
    """Test case calls _log_step outside of _test.

    This is not legal. This is to test that inspection will raise an error in this case.
    """

    def _private_method(self):
        """Private method where log_step should not be called."""
        self._log_step('Illegal call of _log_step')

    def _test(self):
        """Test logic."""
        self._private_method()
        self._log_step('Assert True')
        assert True
