"""Failing scribe examples."""
from valence import camelot


class FailingExampleFeatureTestCase(camelot.TestCase):
    """This is an example failing test case.

    This test fails because it tries to use _log_step inside a conditional, tests InspectionError path.

    :param sf_platform.models.Cluster cluster_dm: the cluster to run the test on.
    """

    def __init__(self, cluster_dm):
        super(FailingExampleFeatureTestCase, self).__init__()
        self.cluster_dm = cluster_dm

    def _preconditions(self):
        """Preconditions."""
        self.volumes_cmt = 'Does Nothing'

    def _setup(self):
        """No setup for this test."""

    def _test(self):
        """This is a a docstring."""

        if True:  # pylint: disable=using-constant-test
            self._log_step('Create 10 Volumes', 'List Volumes returns 10 volumes')
            self._log_step('Delete 10 Volumes', 'List Volumes returns 0 volumes')

        for i in range(0, 10):
            if i == 5:
                return
        self._log_step('Good luck getting to this logstep')

        super(FailingExampleFeatureTestCase, self)._test()
        self._log_step('Super call is also not allowed.')

    def _teardown(self):
        del self.volumes_cmt


class PreconditionsFailingExampleFeatureTestCase(camelot.TestCase):
    """This is another example failing test case.

    This test fails in preconditions so that we trigger the TypeError path.

    :param sf_platform.models.Cluster cluster_dm: the cluster to run the test on.
    """

    def _preconditions(self):
        assert False, 'Some bad stuff happened'

    def _test(self):
        pass


class TryingToUseNoneTestCase(camelot.TestCase):
    """Terrible description.

    :tc_info id: 3
    :tc_info ReQuirements: FR-EX-1
    :tc_info feature: EXP
    :tc_info createdOn: 12/10/2020
    :tc_info Last_update: mike.watson@solidfire.com
    :tc_info LastModified: 3/1/17
    """

    def _test(self):
        """This is a a docstring."""
        # noinspection PyTypeChecker
        self._log_step(None)
