"""Some feature specific case examples."""
from valence import camelot


class BaseClassTestCase(camelot.TestCase):
    """Terrible description for baseclass.

    :param sf_platform.models.Cluster cluster_dm: the cluster to run the test on.

    :tc_info id: 3
    :tc_info ReQuirements: FR-EX-1
    :tc_info feature: EXP
    :tc_info createdOn: 12/10/2020
    :tc_info Last_update: mike.watson@solidfire.com
    :tc_info LastModified: 3/1/17
    """

    def __init__(self, cluster_dm):
        super(BaseClassTestCase, self).__init__()
        self.cluster_dm = cluster_dm
        self.volumes_cmt = object()

    def _test(self):
        """This is a a docstring."""

        self._log_step('Create 1 Volumes', 'List Volumes returns 10 volumes')
        self._log_step('Delete 2 Volumes', 'List Volumes returns 0 volumes')
        self._log_step('Create 3 Volumes', 'List Volumes returns 10 volumes')
        self._log_step('Delete 4 Volumes', 'List Volumes returns 0 volumes')
        self._log_step('Create 5 Volumes', 'List Volumes returns 10 volumes')
        self._log_step('Delete 6 Volumes', 'List Volumes returns 0 volumes')

    def _teardown(self):
        """3rd testcase teardown."""
        del self.volumes_cmt

    def _post_test_assertions(self):
        """Verifies that everything is fine in post-test."""


class TC1_SubclassThatDoesntUseBaseclass(BaseClassTestCase):
    """Terrible description for test case.

    :param sf_platform.models.Cluster cluster_dm: the cluster to run the test on.

    :tc_info id: 3
    :tc_info ReQuirements: FR-EX-1
    :tc_info feature: EXP
    :tc_info createdOn: 12/10/2020
    :tc_info Last_update: mike.watson@solidfire.com
    :tc_info LastModified: 3/1/17
    """

    def _test(self):
        """This is a a docstring for SubclassThatDoesntUseBaseclass."""
        self._log_step('Not calling super!', 'Only 1 step should be returned by scribe!')
