"""Test case with sleeps."""
import time

from valence import camelot


class SleepingCase(camelot.TestCase):
    """Sleep for given amount of seconds in setup/test/teardown."""

    def __init__(self, seconds):
        super(SleepingCase, self).__init__()
        self.seconds = seconds

    def _setup(self):
        time.sleep(self.seconds)

    def _test(self):
        self._log_step('Sleeping for a bit')
        time.sleep(self.seconds)

    def _teardown(self):
        time.sleep(self.seconds)
