"""Simple blocking component to test threading."""
import time

from valence import components


class SimpleBlocking(components.Reversible, components.BlockingApply):
    """Sleeps for given amount of seconds in apply and reset."""

    def __init__(self, seconds=10):
        super(SimpleBlocking, self).__init__()
        self.seconds = seconds

    def _apply(self, timeout=None):
        time.sleep(self.seconds)

    def _reset(self, timeout=None):
        time.sleep(self.seconds)
