"""Simple blocking component to test threading."""
import time

from valence import components


class SimpleContinuous(components.ContinuousTransient):
    """Sleeps for given amount of seconds in apply and reset."""

    def __init__(self, seconds=5, kill_after_seconds=None, max_iterations=None):
        super(SimpleContinuous, self).__init__(kill_after_seconds=kill_after_seconds,
                                               max_iterations=max_iterations)
        self.seconds = seconds
        self.counter = 0

    def _apply_continuous(self):
        time.sleep(self.seconds)
        self.counter += 1
        print('.')

    def _reset(self, timeout=None):  # pylint: disable=unused-argument
        self.counter = 0
