"""Base unit test test suite that stops artifacts from being written."""

from valence import (
    camelot,
    models,
)


class UnittestTestSuite(camelot.ElementTestSuite):
    """A suite that stops the artifact dirs from writing and contains an empty setup."""
    _skip_artifact_dir = True
    _skip_remote_reporting = True
    _skip_monitoring = True

    def __init__(self, resources, config):
        # Need to clear the global resources since they can only be set once, and the base TestSuite
        # sets them.
        models._resource._clear_resources()  # pylint: disable=protected-access
        super(UnittestTestSuite, self).__init__(resources, config)

    def setup(self):
        pass
