"""Suites that use components."""
from valence.unittest_utils.cases import component_cases
from valence.unittest_utils.suites.base import UnittestTestSuite


class BlockingComponentSuite(UnittestTestSuite):
    """TestSuite that runs the BlockingComponentCase."""
    SECONDS_TO_BLOCK = 10

    def __init__(self, resources, config):
        super(BlockingComponentSuite, self).__init__(resources, config)
        self.add_tests([
            component_cases.BlockingComponentCase(seconds=self.SECONDS_TO_BLOCK)
        ])


class ContinuousComponentSuite(UnittestTestSuite):
    """TestSuite that runs the ContinuousComponentCase."""
    SECONDS_TO_BLOCK = 10

    def __init__(self, resources, config):
        super(ContinuousComponentSuite, self).__init__(resources, config)
        self.add_tests([
            component_cases.ContinuousComponentCase(seconds=self.SECONDS_TO_BLOCK)
        ])
