"""Dummy suites to test multiple test cases in a suite."""
from valence.unittest_utils.cases import (
    failing_case,
    passing_case,
)
from valence.unittest_utils.suites.base import UnittestTestSuite


class MultiErrorFailingSuite(UnittestTestSuite):
    """Contains a test with a bunch of issues.

    Tests will result in the following statuses [pass, fail, pass, setuperror, teardownerror]
    """

    def __init__(self, resources_dm, config_dm):
        super(MultiErrorFailingSuite, self).__init__(resources_dm, config_dm)
        self.add_tests([passing_case.PassingCase(), failing_case.FailingCase(),
                        passing_case.PassingCase(), failing_case.ExceptionInSetup(),
                        failing_case.ExceptionInTeardown()])

    def setup(self):
        pass
