"""Contains a suite that encounters an exception."""
from valence.unittest_utils.cases import failing_case
from valence.unittest_utils.suites.base import UnittestTestSuite


class ExceptionSuite(UnittestTestSuite):
    """An exception is raised in this suite's setup method.

    The type of exception that is raised is set by ExceptionSuite.EXCEPTION_TYPE
    """

    EXCEPTION_TYPE = RuntimeError

    def setup(self):
        raise self.EXCEPTION_TYPE('Setup failed')

    def __init__(self, resources, config):
        super(ExceptionSuite, self).__init__(resources, config)
        self.add_tests([failing_case.FailingCase()])
