"""Test valence.utils.regex."""

import unittest

from valence import utils


class TestRegex(unittest.TestCase):

    def setUp(self):
        self.input = ['Hank', 'Walter', 'Skyler', 'Jesse']

    def test_filter_match_one(self):
        out = utils.regex_filter(self.input, [r'.*ank'])
        assert len(out) == 1
        assert 'Hank' in out

    def test_filter_match_multiple(self):
        out = utils.regex_filter(self.input, [r'.*r$'])
        assert len(out) == 2
        assert 'Walter' in out
        assert 'Skyler' in out

    def test_filter_negate(self):
        out = utils.regex_filter(self.input, [r'.*ank'], negate=True)
        assert len(out) == 3
        assert 'Hank' not in out
