"""Test valence.utils.timeouts."""
import time
import unittest

import mock
import pytest

from valence import utils


class TestTimeouts(unittest.TestCase):
    @mock.patch.object(time, 'time')
    def test_timeout_timer(self, mock_time):
        mock_time.side_effect = [1, 2]

        timer = utils.timeout_timer(2)

        # prime the timer
        next(timer)

        # next iteration causes the `timeout`
        with self.assertRaises(RuntimeError):
            try:
                next(timer)
            except StopIteration:  # done for python 2.7 to 3.7 compatibility in accordance with PEP 479
                raise RuntimeError
