"""Test valence.vl_components._bin_assignment"""

import unittest

import mock

from valence import (
    functional_models,
    models,
    vl_components,
)
from valence.components import _enums


@mock.patch.object(functional_models.Cluster, 'get_bin_assignments')
class TestContinuousValidateBinAssignments(unittest.TestCase):
    def setUp(self):
        self.cluster_dm = models.ResourceCluster.get_mock_object()
        self.validate_bins_cmt = vl_components.ContinuousValidateBinAssignments(self.cluster_dm)

    def test_apply_reset_continuous(self, mock_get_bin_assignments):
        self.validate_bins_cmt.apply_async()
        self.validate_bins_cmt.finish()
        assert self.validate_bins_cmt.state is _enums.States.applied

    def test_reset(self, mock_get_bin_assignments):
        self.validate_bins_cmt._state = _enums.States.failed
        self.validate_bins_cmt.reset()
