"""Some base objects for vdbench architecture."""
import abc

import six


@six.add_metaclass(abc.ABCMeta)
class BetterObject(object):
    """Re-define object.

    Differences from `object`:
    - `__hash__` rasies a TypeError
    - `__ne__` is defined as `not __eq__`
    """

    @abc.abstractmethod
    def __eq__(self, other):
        """Determine whether self is equal to other.

        :param Any other: any other object.
        """

    def __ne__(self, other):
        """Determine whether self is not equal to other.

        :param Any other: any other object.
        """
        return not (self == other)
