"""Vdbench log enums."""
import aenum


class VdbLogLineType(aenum.Enum):
    """Vdbench log line type."""
    run_start = 'run_start'
    run_date = 'run_date'
    io = 'io'
    avg_io = 'avg_io'
    client_heartbeat = 'client_heartbeat'
    master_heartbeat = 'master_heartbeat'

    no_read_validations = 'no_read_validations'

    # Error lines
    io_error = 'eio'
    end_of_file = 'eof'
    socket_exception = 'socket_exception'
    data_validation_error = 'data_validation_error'

    # Java lines
    jstack = 'jstack'
    jnull = 'jnull'
    jruntime = 'jruntime'
    premature_termination = 'premature_termination'

    # Miscellaneous
    new_line = 'new_line'
    unknown = 'unknown'
