"""Exceptions for valence helpers package."""

import valence.errors


class Error(valence.errors.Error):
    """Base exception for helpers.

    This error should not be raised directly.
    """


class HelperError(Error):
    """Base exception for all helper errors."""


class ManagementNodeServicesAlreadyConfigured(Error):
    """Mnode2.0 is already configured."""


class HealthtoolsVersionNotFound(HelperError):
    """Unable to find healthtools version to install on the jenkins server."""
